/*
 *	vin start up
 *		91.05.15 ysato@etl.go.jp
 *
 *	This program can be called from $SYSDIR/vin_setup
 */

static char *DFLT_NNTPSERVER = "news-server";

/*
 *
 */

VinStartup(){
	char *dfltsv,*nntpenv;

	if( getenv("NO_VININIT") )
		return;
	dfltsv = get_officialname(DFLT_NNTPSERVER);

	printf("\n");
	nntpenv = getenv("NNTPSERVER");
	if( nntpenv == 0 ){
	    if( strcmp(Gethostname(),dfltsv) == 0 )
		printf("You are on NNTPSERVER(%s)\n",dfltsv);
	    else{
		SETENV("NNTPSERVER",dfltsv);
		printf("NNTPSERVER=%s (default server)\n",DFLT_NNTPSERVER);
	    }
	}else{
	    printf("NNTPSERVER=%s (defined in your environment)\n",nntpenv);
	    if( strcmp(nntpenv,DFLT_NNTPSERVER) == 0 )
		SETENV("NNTPSERVER",dfltsv);
	    else{
		printf("Warning: %s is recommended as NNTPSERVER.\n",
			DFLT_NNTPSERVER);
		printf("## DO setenv NO_VININIT to suppress this message.\n");
		printf("## This startup procedure is written in %s/%s\n.",
			getenv("SYSDIR"),".COSMOS/vin_startup.c");
		bell("b1b4");
	    }
	}
}
/* The following statement calls the above function */
/*! VinStartup(); !*/
